<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/main.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Функции</a>  </div>
  <div class="headertitle">
<div class="title">Файл main.cpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Точка входа в программу  
<a href="#details">Подробнее...</a></p>
<div class="textblock"><code>#include &lt;QGuiApplication&gt;</code><br />
<code>#include &lt;QQmlApplicationEngine&gt;</code><br />
<code>#include &lt;QQmlContext&gt;</code><br />
<code>#include &quot;<a class="el" href="speechtotext_8h_source.html">include/speechtotext.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="database_8h_source.html">include/database.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="levenshtein_8h_source.html">include/levenshtein.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="settings_8h_source.html">include/settings.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Граф включаемых заголовочных файлов для main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2main_8cpp" alt=""/></div>
<map name="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2main_8cpp" id="_2home_2alner_2_xD0_x94_xD0_xBE_xD0_xBA_xD1_x83_xD0_xBC_xD0_xB5_xD0_xBD_xD1_x82_xD1_x8B_2_xD0_x9A_xD0_xBE_xD0_xBC_xD0_xB0_xD0_xBD_xD0_xB4_xD0_xBD_xD1_x8B_xD0_xB9_01_xD0_xBA_xD1_x83_xD1_x80_xD1_x81_xD0_xBE_xD0_xB2_xD0_xBE_xD0_xB9_01_xD0_xBF_xD1_x80_xD0_xBE_xD0_xB5_xD0_xBA_xD1_x82_2deskhelper_2deskhelper_2app_2deskhelper_2src_2main_8cpp">
<area shape="rect" title="Точка входа в программу" alt="" coords="617,5,847,76"/>
<area shape="rect" title=" " alt="" coords="173,124,299,151"/>
<area shape="rect" title=" " alt="" coords="324,124,500,151"/>
<area shape="rect" title=" " alt="" coords="525,124,635,151"/>
<area shape="rect" href="speechtotext_8h.html" title=" " alt="" coords="1468,124,1639,151"/>
<area shape="rect" href="database_8h.html" title=" " alt="" coords="659,124,805,151"/>
<area shape="rect" href="levenshtein_8h.html" title=" " alt="" coords="1973,124,2134,151"/>
<area shape="rect" href="settings_8h.html" title=" " alt="" coords="2467,124,2605,151"/>
<area shape="rect" title=" " alt="" coords="1212,288,1287,315"/>
<area shape="rect" title=" " alt="" coords="1706,206,1905,233"/>
<area shape="rect" title=" " alt="" coords="1929,206,2055,233"/>
<area shape="rect" title=" " alt="" coords="2080,206,2165,233"/>
<area shape="rect" title=" " alt="" coords="2190,206,2271,233"/>
<area shape="rect" title=" " alt="" coords="970,206,1097,233"/>
<area shape="rect" title=" " alt="" coords="844,206,945,233"/>
<area shape="rect" title=" " alt="" coords="2295,206,2350,233"/>
<area shape="rect" title=" " alt="" coords="1293,206,1344,233"/>
<area shape="rect" title=" " alt="" coords="1368,206,1451,233"/>
<area shape="rect" href="qxtglobalshortcut_8h.html" title=" " alt="" coords="1121,206,1269,233"/>
<area shape="rect" title=" " alt="" coords="1475,199,1632,240"/>
<area shape="rect" href="qxtglobal_8h.html" title=" " alt="" coords="1093,288,1187,315"/>
<area shape="rect" title=" " alt="" coords="467,288,586,315"/>
<area shape="rect" title=" " alt="" coords="1101,363,1179,389"/>
<area shape="rect" title=" " alt="" coords="402,206,555,233"/>
<area shape="rect" title=" " alt="" coords="580,206,671,233"/>
<area shape="rect" title=" " alt="" coords="695,206,769,233"/>
<area shape="rect" title=" " alt="" coords="27,206,109,233"/>
<area shape="rect" title=" " alt="" coords="133,199,291,240"/>
<area shape="rect" title=" " alt="" coords="315,206,378,233"/>
<area shape="rect" title=" " alt="" coords="2374,206,2445,233"/>
<area shape="rect" title=" " alt="" coords="2628,206,2687,233"/>
<area shape="rect" title=" " alt="" coords="2469,206,2603,233"/>
</map>
</div>
</div>
<p><a href="main_8cpp_source.html">См. исходные тексты.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Функции</h2></td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
<tr class="memdesc:a0ddf1224851353fc92bfbff6f499fa97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Точка входа в программу  <a href="main_8cpp.html#a0ddf1224851353fc92bfbff6f499fa97">Подробнее...</a><br /></td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Точка входа в программу </p>
<p>Инициализация объектов, вызов функций для передачи управления </p>

<p class="definition">См. определение в файле <a class="el" href="main_8cpp_source.html">main.cpp</a></p>
</div><h2 class="groupheader">Функции</h2>
<a id="a0ddf1224851353fc92bfbff6f499fa97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ddf1224851353fc92bfbff6f499fa97">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Точка входа в программу </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>Кол-во переданных параметров </td></tr>
    <tr><td class="paramname">argv</td><td>Массив строк переданных параметров </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>Код завершения функции </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="main_8cpp_source.html">main.cpp</a> строка <a class="el" href="main_8cpp_source.html#l00022">22</a></p>
<div class="fragment"><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;{</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling); <span class="comment">// Позволяет автоматически масштабировать интерфейс</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    QGuiApplication app(argc, argv);</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="comment">//QCoreApplication::setAttribute(Qt::AA_UseOpenGLES);</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="comment">//QCoreApplication::setAttribute(Qt::AA_UseSoftwareOpenGL);</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    app.setOrganizationName(<span class="stringliteral">&quot;DeskHelper&quot;</span>);</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    app.setOrganizationDomain(<span class="stringliteral">&quot;dev-dev.com&quot;</span>);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classDatabase.html">Database</a> db;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="comment">//NotificationArea na;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">if</span> (!db.<a class="code" href="classDatabase.html#a5255f38c4d98f1217d47d644f985f7f8">isOpen</a>())</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to open the database. Shutdown.&quot;</span>);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordflow">if</span> (!db.<a class="code" href="classDatabase.html#abc64b0e912e9e4136f89da58ef76afd1">createDatabaseTables</a>())</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to create database. Shutdown.&quot;</span>);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    }</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classSettings.html">Settings</a> settings;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    settings.<a class="code" href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">loadSettings</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classSpeechToText.html">SpeechToText</a> stt(settings.<a class="code" href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">getAppActivation</a>()); <span class="comment">// Объявление классов для его дальнейшего использования</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    QQmlApplicationEngine engine; <span class="comment">// Объявление класса для работы с qml</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QQmlContext* context = engine.rootContext();</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="comment">//qmlRegisterType&lt;Database&gt;(&quot;db&quot;, 1, 1, &quot;db&quot;);</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="comment">//context-&gt;setContextProperty(&quot;na&quot;, &amp;na);</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;db&quot;</span>, &amp;db);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;stt&quot;</span>, &amp;stt); <span class="comment">// Создание видимости qml-ем экземпляра класса SpeechToText</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    context-&gt;setContextProperty(<span class="stringliteral">&quot;settings&quot;</span>, (QObject*)&amp;settings);</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    stt.<a class="code" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">setGlobalShortcuts</a>(db.<a class="code" href="classDatabase.html#aa8819825a69009f6d982fffa434bb5c2">receiveShortcuts</a>());</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keyword">const</span> QUrl url(QStringLiteral(<span class="stringliteral">&quot;qrc:/Main.qml&quot;</span>)); <span class="comment">// Объявление url main-файла qml</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    QObject::connect(&amp;engine, &amp;QQmlApplicationEngine::objectCreated,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                     &amp;app, [url](QObject *obj, <span class="keyword">const</span> QUrl &amp;objUrl) {</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">if</span> (!obj &amp;&amp; url == objUrl)</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            QCoreApplication::exit(-1);</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    }, Qt::QueuedConnection);</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    engine.load(url);</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    app.setWindowIcon(QIcon(<span class="stringliteral">&quot;:/resources/img/trayicon.png&quot;</span>));</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">return</span> app.exec();</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="database_8cpp_source.html#l00051">Database::createDatabaseTables()</a>, <a class="el" href="settings_8cpp_source.html#l00220">Settings::getAppActivation()</a>, <a class="el" href="database_8cpp_source.html#l00041">Database::isOpen()</a>, <a class="el" href="settings_8cpp_source.html#l00053">Settings::loadSettings()</a>, <a class="el" href="database_8cpp_source.html#l00497">Database::receiveShortcuts()</a> и <a class="el" href="speechtotext_8cpp_source.html#l00086">SpeechToText::setGlobalShortcuts()</a>.</p>

</div>
</div>
</div><!-- contents -->
<div class="ttc" id="aclassSettings_html_a2d965ef0a054b61050811b416c896ed4"><div class="ttname"><a href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">Settings::loadSettings</a></div><div class="ttdeci">bool loadSettings()</div><div class="ttdoc">Загрузка настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00053">settings.cpp:53</a></div></div>
<div class="ttc" id="aclassSettings_html"><div class="ttname"><a href="classSettings.html">Settings</a></div><div class="ttdoc">Класс для хранения, загрузки и сохранения настроек</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00011">settings.h:11</a></div></div>
<div class="ttc" id="aclassDatabase_html_abc64b0e912e9e4136f89da58ef76afd1"><div class="ttname"><a href="classDatabase.html#abc64b0e912e9e4136f89da58ef76afd1">Database::createDatabaseTables</a></div><div class="ttdeci">bool createDatabaseTables()</div><div class="ttdoc">Создание таблиц</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00051">database.cpp:51</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af2028342adc6bb316ddb74efc2e28913"><div class="ttname"><a href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">SpeechToText::setGlobalShortcuts</a></div><div class="ttdeci">void setGlobalShortcuts(QStringList list)</div><div class="ttdoc">Инициализация сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00086">speechtotext.cpp:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html"><div class="ttname"><a href="classSpeechToText.html">SpeechToText</a></div><div class="ttdoc">Класс для реализации конвертации звуковой информации в текстовую</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00023">speechtotext.h:23</a></div></div>
<div class="ttc" id="aclassDatabase_html_aa8819825a69009f6d982fffa434bb5c2"><div class="ttname"><a href="classDatabase.html#aa8819825a69009f6d982fffa434bb5c2">Database::receiveShortcuts</a></div><div class="ttdeci">QStringList receiveShortcuts()</div><div class="ttdoc">Получение из БД всех уникальных сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00497">database.cpp:497</a></div></div>
<div class="ttc" id="aclassDatabase_html"><div class="ttname"><a href="classDatabase.html">Database</a></div><div class="ttdoc">Класс для связи приложения и БД</div><div class="ttdef"><b>Definition:</b> <a href="database_8h_source.html#l00023">database.h:23</a></div></div>
<div class="ttc" id="aclassDatabase_html_a5255f38c4d98f1217d47d644f985f7f8"><div class="ttname"><a href="classDatabase.html#a5255f38c4d98f1217d47d644f985f7f8">Database::isOpen</a></div><div class="ttdeci">bool isOpen()</div><div class="ttdoc">Геттер для состояния БД: подключено/отключено</div><div class="ttdef"><b>Definition:</b> <a href="database_8cpp_source.html#l00041">database.cpp:41</a></div></div>
<div class="ttc" id="aclassSettings_html_aa5d84019954f49bc30beb8b9b6827156"><div class="ttname"><a href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">Settings::getAppActivation</a></div><div class="ttdeci">QString getAppActivation()</div><div class="ttdoc">геттер для appActivation.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00220">settings.cpp:220</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
